Forward Update Order API:
DESCRIPTION :Use this API to update an order on the RapidShyp platform.
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/create_order |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl:
curl --location 'https://apI.rapidshyp.com/rapidshyp/apis/v1/order_update' \
--header 'rapidshyp-token: 9' \
--header 'Content-Type: application/json' \
--data-raw '{
"orderId": "1111111111",
"pickupAddressName": "AbhinavvvvvVVVVVvvvV",
"store_name": "DEFAULT",
"shippingAddress": {
"firstName": "ABGH",
"lastName": "",
"addressLine1": "WEww",
"addressLine2": "DDDDDD",
"pinCode": "250221",
"email": "abc@gmail.com",
"phone": "9999999999"
},
"billingAddress": {
"firstName": "aDFGG",
"lastName": "",
"addressLine1": "sfdD",
"addressLine2": "Apt 10",
"pinCode": "110001",
"email": "jane.doee@xample.com",
"phone": "9999999999"
},
"paymentMethod": "PREPAID",
"packageDetails": {
"packageLength": 0.0,
"packageBreadth": 0.0,
"packageHeight": 0.0,
"packageWeight": 0.0
}
}'
| Request Parameters | Required | Remark | Validation |
|---|---|---|---|
| orderId | Mandatory | Seller order ID for which you want to make the updates | Valid order created on Rapidshyp |
| store_name | Mandatory | Store name of the order | Format: YYYY-MM-DD |
| pickupAddressName | Conditionally-Mandatory | Use the updated pickup location name to update the location if required | Enter a valid location name for Rapidshyp created pickup locations |
shippingAddress: { | Conditionally-Mandatory | ||
| firstName | Mandatory | Customer First name | Minimum 3 characters |
| lastName | Mandatory | Customer Last name | Minimum 3 characters |
| addressLine1 | Mandatory | Customer address line 1 | Pickup address line 1 must be between 3 and 100 characters long |
| addressLine2 | Mandatory | Customer address line 2 | If entered, Pickup address line 2 must be between 3 and 100 characters long |
| pinCode | Mandatory | Location Pincode | Must be 6-digit valid pincode |
| Non-Mandatory | Customer Email | Valid email id | |
| phone | Mandatory | Customer Phone number | Must be 10-digit valid phone number |
}, | |||
billingAddress: { | Conditionally-Mandatory | ||
| firstName | Mandatory | Customer Billing First name | Minimum 3 characters |
| lastName | Mandatory | Customer Billing Last name | Minimum 3 characters |
| addressLine1 | Mandatory | Billing customer address line 1 | Pickup address line 1 must be between 3 and 100 characters long |
| addressLine2 | Mandatory | Customer Billing address line 2 | If entered, Pickup address line 2 must be between 3 and 100 characters long |
| pinCode | Mandatory | Billing Location Pincode | Must be 6-digit valid pincode |
| Non-Mandatory | Billing Customer Email | Valid email id | |
| phone | Mandatory | Billing Customer Phone number | Must be 10-digit valid phone number |
}, | |||
| paymentMethod | Conditionally-Mandatory | Use this to change COD order to Prepaid orders | COD/PREPAID allowed |
packageDetails: { | Conditionally-Mandatory | ||
| packageLength | Mandatory | packageLength | In cm |
| packageBreadth | Mandatory | packageBreadth | In cm |
| packageHeight | Mandatory | packageHeight | In cm |
| packageWeight | Mandatory | packageWeight | In gm |
} | |||
} |
Response:
JSON
{
"status": "success",
"partial_update": true,
"not_updated_fields": "",
"remarks": "success",
"order_id": "1111111111",
"updated_shipment_details": [
{
"shipment_id": "1111111111",
"pickup_name": "third",
"payment_method": "PREPAID",
"shipping_charges": 10,
"giftwrap_charges": 11,
"transaction_charges": 12,
"total_discount": 70,
"total_value": 5473,
"collectable_amount": 0,
"prepaid_amount": 5473
}
]
}